/* Function_def.h */
/* Paul Boersma, August 24, 1995 */

#define ooSTRUCT Function
oo_DEFINE_CLASS (Function, Data)

	oo_DOUBLE (xmin)
	oo_DOUBLE (xmax)

	#if oo_READING
		if (my xmin > my xmax)
			return Melder_error ("Wrong xmin %.8g and xmax %.8g.", my xmin, my xmax);
	#endif

oo_END_CLASS (Function)
#undef ooSTRUCT

/* End of file Function_def.h */
